 //定义全局控件对象
    var TANGER_OCX_OBJ;
    var TANGER_OCX_Username;

    //窗体加载事件
    function init(){
        //在页面呈现后,获取文档控件对象
	    TANGER_OCX_OBJ = document.getElementById("TANGER_OCX");
	   
    }
    function DoHandDraw()
{

	TANGER_OCX_OBJ.DoHandDraw(
	0,// syle 0-4
	0x00ff0000,//color: 0x00RRGGBB optional
	3,//width optional
	0,//left optional
	0);//top optional

}
function DoHandDraw2()
{
	if(TANGER_OCX_bDocOpen)
	{	
	TANGER_OCX_OBJ.DoHandDraw2(
	0,//left//可选参数
	0,//top
	0,//relative=0，表示按照屏幕位置批注
	100); //缩放100%，表示原大小
	}
}
    //创建文档按钮事件
    function createDocument(){
        //定义创建的文档对象类型
        var chType;
        //通过单选按钮生成对应文档
        if(document.getElementById("chWord").checked == true){
           chType = "Word.Document";
        }
        else{
           chType = "Excel.Sheet";
        }
        //调用文档对象CreateNew方法在控件中新建一个文档,推荐使用OpenFromURL()方法,详细见开发手册.
        TANGER_OCX_OBJ.CreateNew(chType);
    }
   function AddPictureFromLocal()
{
		
    TANGER_OCX_OBJ.AddPicFromLocal(
	"", //path 
	true,//prompt to select
	true,//is float
	0,//left
	0); //top
	
}
function DoHandSign(username)
{
   	TANGER_OCX_Username=username;
	TANGER_OCX_OBJ.DoHandSign(
	TANGER_OCX_Username,//当前登陆用户 必须
	0,//笔型0－实线 0－4 //可选参数
	0x000000ff, //颜色 0x00RRGGBB//可选参数
	2,//笔宽//可选参数
	100,//left//可选参数
	50); //top//可选参数
	
}

    //打开本地文档事件
    function openDocument(){
      //显示对话框
      TANGER_OCX_OBJ.ShowDialog(1);
    }
    function TANGER_OCX_ShowRevisions(tof,uname){
     TANGER_OCX_OBJ.ActiveDocument.TrackRevisions = true;
    //设置当前用户
         TANGER_OCX_OBJ.WebUserName = uname;
    
   
//启用痕迹
       //TANGER_OCX_OBJ.ActiveDocument.TrackRevisions = true;
       TANGER_OCX_OBJ.ActiveDocument.ShowRevisions = tof;
//保留痕迹
      //  TANGER_OCX_OBJ.ActiveDocument.ShowRevisions = false;   
    }
    
    //打开服务器文档事件
    function openDocumentFromUrl(myurl){
      //打开服务器文档可以是相对路径
      TANGER_OCX_OBJ.BeginOpenFromURL(myurl);
    }
    
   
    
    //提交按钮事件
    function submitForm(){
       //定义保存的文档名字(一般保存文件名统一后台处理,方便管理,这里示例各参数效果)
       var docName = document.getElementById("fid").value;
       
       /*
       返回当前控件中的文档类型,只读.
        0:  没有文档； 100 =其他文档类型；
        1=word；2=Excel.Sheet或者 Excel.Chart ；
        3=PowerPoint.Show； 4= Visio.Drawing； 
        5=MSProject.Project； 6= WPS Doc；
        7:Kingsoft Sheet
       */ 
//       if(TANGER_OCX_OBJ.DocType == 1){
//          docName = docName+".doc";
//       }
//       else{
//          docName = docName+".xls";
//       }
       
       //调用文档对象SaveToUrl方法把表单数据以post方式提交
       /*
        SaveToURL(
        URL:处理请求的url路径, 
        FileFieldName:给提交的附件命名(把文档作为一个附件),即给<input type=file name="uploadfile">命名, 
        CPARA:提交没有在表单中出现的值,格式key=value
        FileName:给文档命名,默认为新文档
		HTMLForm:指定提交的表单,通过表单ID和索引指定
		);
       */
       var msg = TANGER_OCX_OBJ.SaveToUrl("saveInfo.aspx","uploadfile","myKey=myValue",docName,0); 
       //得到返回结果
       alert("文件保存成功！");
    }